Skip to content

Get previous interactions

Request

For this interaction, get all the previous interactions linked to it via the previousInteractionId field.

Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
Path
interactionIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Interaction's unique identifier to track interactions for. Can be Peach or lender's external identifier.

Query
includeArray of strings, non-empty

A list of additional interaction relationships to include in the response object.

  • When include=borrower the borrower field will be populated (otherwise it will be null). This is data describing the borrower associated with this interaction.
  • When include=contact the contact`` field will be populated (otherwise it will be null`). This is contact data for the contact this interaction was sent to or from.
  • When include=lastTaskMeta the lastTaskMeta field will be populated (otherwise it will be null). This is meta data about the most recently ended task associated with this interaction.

You can include multiple fields by passing multiple values, e.g., include=borrower,contact.

Items Enum:"borrower""contact""lastTaskMeta"
GET
/interactions/{interactionId}/previous
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/interactions/{interactionId}/previous?include=borrower' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of any(Interaction)
messagestring
statusinteger

HTTP status code.

Response
{ "data": [ { … } ], "message": "string", "status": 0 }